Package com.destroystokyo.paper.exception

# Class ServerPluginEnableDisableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerPluginException
com.destroystokyo.paper.exception.ServerPluginEnableDisableException

All Implemented Interfaces:
  `Serializable`

public class ServerPluginEnableDisableException extends ServerPluginException
Thrown whenever there is an exception with any enabling or disabling of plugins.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerPluginEnableDisableException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin)`
``
`ServerPluginEnableDisableException(String message, Throwable cause, Plugin responsiblePlugin)`
``
`ServerPluginEnableDisableException(Throwable cause, Plugin responsiblePlugin)`

## Method Summary

### Methods inherited from class com.destroystokyo.paper.exception.ServerPluginException

`getResponsiblePlugin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerPluginEnableDisableException

public ServerPluginEnableDisableException(String message, Throwable cause, Plugin responsiblePlugin)

### ServerPluginEnableDisableException

public ServerPluginEnableDisableException(Throwable cause, Plugin responsiblePlugin)

### ServerPluginEnableDisableException

protected ServerPluginEnableDisableException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, Plugin responsiblePlugin)